summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Francisco Ambrozio2012-05-05 02:04:09 +0200
committer Erik Hanson2012-05-07 19:18:07 +0200
commit73bca6fa8ac7b6b2ed99c35697a54534ecbca4d3 (patch)
tree4d77581d4bfdb439eaee91c66733b432bb9b9ffb
parentf94e07251465c878ac53a90caa0c06ad126cf126 (diff)
downloadslackbuilds-73bca6fa8ac7b6b2ed99c35697a54534ecbca4d3.tar.gz
network/chromium: Updated for version 18.0.1025.142 new maintainer.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--network/chromium/chromium.SlackBuild37
-rw-r--r--network/chromium/chromium.info12
-rw-r--r--network/chromium/nacl.patch11
3 files changed, 24 insertions, 36 deletions
diff --git a/network/chromium/chromium.SlackBuild b/network/chromium/chromium.SlackBuild
index c03770e43a..b8d9542a34 100644
--- a/network/chromium/chromium.SlackBuild
+++ b/network/chromium/chromium.SlackBuild
@@ -11,10 +11,10 @@
# A very special thanks to Gino Bombino (ginolovesyou AT gmail DOT com), who
# contributed with the parameters to disable the need for gnome dependencies
# and PAM, allowing the script to be cleaner and more elegant (no need for a
-# a patch to disable PAM). And another special thanks to dive who handed me
-# the nacl.patch, fixing another compile problem.
+# a patch to disable PAM).
#
# Copyright 2010 Yucatan "Kenjiro" Costa, Alegrete, RS, Brasil
+# Copyright 2012 Francisco Ambrozio <francisco.ambrozio@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -35,7 +35,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=chromium
-VERSION=${VERSION:-15.0.874.121}
+VERSION=${VERSION:-18.0.1025.142}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -55,24 +55,32 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
+ DTARGETARCH=" -Dtarget_arch=ia32 "
+ DDSSE=" -Ddisable_sse2=1 "
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
+ DTARGETARCH=" -Dtarget_arch=ia32 "
+ DDSSE=" -Ddisable_sse2=1 "
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+ DTARGETARCH=" -Dtarget_arch=x64 "
+ DDSSE=""
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
+ DTARGETARCH=""
+ DDSSE=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -81,16 +89,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Let's try this nacl patch (thanks to dive):
-patch -p1 < $CWD/nacl.patch
-
-# Configure it before compiling
-
-#
# Change "-Dproprietary_codecs" to "0" if you don't want to use proprietary codecs
-#
-
-build/gyp_chromium --depth=. \
+build/gyp_chromium -f make build/all.gyp --depth=. \
+ $DTARGETARCH \
-Dgcc_version=45 \
-Duse_gconf=0 \
-Duse_gnome_keyring=0 \
@@ -112,18 +113,16 @@ build/gyp_chromium --depth=. \
-Duse_system_libpng=0 \
-Duse_system_yasm=1 \
-Duse_system_libevent=1 \
- -Ddisable_sse2=${NO_SSE2:-0} \
-Dffmpeg_branding=Chrome \
-Duse_system_ffmpeg=0 \
+ $DDSSE \
-Ddisable_nacl=1 \
-Duse_kerberos=0 \
-Duse_system_ssl=0
-# Compiling...
-#
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS -fno-ipa-cp" \
-make chrome chrome_sandbox BUILDTYPE=Release || exit 1
+make chrome chrome_sandbox BUILDTYPE=Release V=1
# Creating the package
cd out/Release/
@@ -143,7 +142,7 @@ cd out/Release/
mkdir -p $PKG/usr/share/pixmaps
cp product_logo_48.png $PKG/usr/share/pixmaps/chromium.png
mkdir -p $PKG/usr/share/applications
- cp $CWD/chromium.desktop $PKG/usr/share/applications
+ install -m 0644 $CWD/chromium.desktop $PKG/usr/share/applications
cd ../../
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/network/chromium/chromium.info b/network/chromium/chromium.info
index 0e9a1b8564..c96da30427 100644
--- a/network/chromium/chromium.info
+++ b/network/chromium/chromium.info
@@ -1,10 +1,10 @@
PRGNAM="chromium"
-VERSION="15.0.874.121"
+VERSION="18.0.1025.142"
HOMEPAGE="http://www.chromium.org/"
-DOWNLOAD="http://gsdview.appspot.com/chromium-browser-official/chromium-15.0.874.121.tar.bz2"
-MD5SUM="bebb2d148281bf75a690c78c7b4debed"
+DOWNLOAD="http://commondatastorage.googleapis.com/chromium-browser-official/chromium-18.0.1025.142.tar.bz2"
+MD5SUM="1ba1809f193365aa4ee8d3606f6dfb4d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="Yucatan Costa"
-EMAIL="jedi.kenjiro@gmail.com"
-APPROVED="Erik Hanson"
+MAINTAINER="Francisco Ambrozio"
+EMAIL="francisco.ambrozio@gmail.com"
+APPROVED="dsomero"
diff --git a/network/chromium/nacl.patch b/network/chromium/nacl.patch
deleted file mode 100644
index 7d0bba7d03..0000000000
--- a/network/chromium/nacl.patch
+++ /dev/null
@@ -1,11 +0,0 @@
-diff -Naur a/chrome/chrome.gyp b/chrome/chrome.gyp
---- a/chrome/chrome.gyp 2011-07-30 09:36:14.000000000 +0100
-+++ b/chrome/chrome.gyp 2011-09-07 16:52:20.000000000 +0100
-@@ -134,7 +134,6 @@
- 'chrome_renderer.gypi',
- 'chrome_tests.gypi',
- 'common_constants.gypi',
-- 'nacl.gypi',
- ],
- 'targets': [
- {